AltSportsData

Get Futures Odds

Get Futures Odds

GET
/api/v1/public/futures/{sportType}/tour/{tourId}/odds/{futureType}

Authorization

X-API-KEY
X-API-KEY<token>

In: header

Path Parameters

sportType*string

Sport Type

Value in"wsl" | "sls" | "nrx" | "spr" | "masl" | "pbr" | "bkfc" | "f1" | "motogp" | "motocrs" | "fdrift" | "mxgp" | "jaialai" | "gsoc" | "motoamerica" | "byb" | "powerslap" | "usac" | "nhra" | "cdc" | "sprmtcrs" | "hlrs" | "xgame" | "worldoutlaws" | "dgpt" | "athletesunlimited" | "lux" | "raf" | "nll" | "mltt" | "spectation"
tourId*string

Id of the tour.

futureType*string

type of the future.

Value in"winner" | "top2" | "top3" | "top5" | "top10" | "makeCut" | "makePlayOdds"

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/public/futures/wsl/tour/string/odds/winner"
[
  {
    "publicId": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
    "sportType": "wsl",
    "futureType": "top5",
    "id": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
    "referenceId": 1174117206190029,
    "name": "Men's Championship Tour",
    "odds": [
      {
        "outcomeId": "2127ea10-6110-4ffd-9403-3e33fc0929de",
        "id": "2127ea10-6110-4ffd-9403-3e33fc0929de",
        "referenceId": 1174117206190029,
        "odds": 30.2,
        "probability": 30.2,
        "trueProbability": 30.2,
        "hasModifiedProbability": true,
        "marketStatus": "VOID",
        "athlete": {
          "id": "2127ea10-6110-4ffd-9403-3e33fc0929de",
          "referenceId": 1174117206190029,
          "firstName": "Jane",
          "middleName": "M",
          "lastName": "Doe",
          "gender": "women",
          "nationality": "American",
          "stance": "American",
          "providerId": "102839"
        }
      }
    ],
    "updatedAt": "2022-02-10T19:00:00Z"
  }
]
{
  "stack": "string",
  "message": "Event not found",
  "metadata": {},
  "statusCode": 403,
  "timestamp": "2023-02-07T19:43:08.187Z"
}